Namespace
library
Image / Tag
swift:6.3.1-amazonlinux2-slim
Content Digest
sha256:806618e8f87bd528d9373f01c445820ff3c39ed51dd64af7d4bd72abfc0720bc
Details
Created

2026-05-09 00:20:14 UTC

Size

277 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.3.1-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.3.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:3f708fc5705625846e206621966842bfead7ee5b8e4fc20aab0c77c563600126 - 21.62% (59.9 MB)

[#001] sha256:c0483c95c7f71996803cdf080c9a47541bcbbb10be142d7f9272621043902d5d - 78.38% (217 MB)


History
2026-05-08 22:56:20 UTC (buildkit.dockerfile.v0)

COPY /rootfs/ / # buildkit

2026-05-08 22:56:20 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-05-09 00:20:14 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-05-09 00:20:14 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-05-09 00:20:14 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-05-09 00:20:14 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=amazonlinux2

2026-05-09 00:20:14 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.3.1-release

2026-05-09 00:20:14 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.3.1-RELEASE

2026-05-09 00:20:14 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-05-09 00:20:14 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-6.3.1-release SWIFT_VERSION=swift-6.3.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-05-09 00:20:14 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-6.3.1-release SWIFT_VERSION=swift-6.3.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip # buildkit

Details
Created

2026-05-09 00:17:59 UTC

Size

255 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.3.1-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.3.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:835dd3779a793c24eeba54a176badcbf0ecf82042603b5459dd57e14ad679d47 - 24.21% (61.8 MB)

[#001] sha256:24ac441f1fd046d2173ae0b5f165400b131a2b5407a560724b61c9a7c55fefa3 - 75.79% (193 MB)


History
2026-05-08 22:48:14 UTC (buildkit.dockerfile.v0)

COPY /rootfs/ / # buildkit

2026-05-08 22:48:14 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-05-09 00:17:59 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2026-05-09 00:17:59 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2026-05-09 00:17:59 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2026-05-09 00:17:59 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=amazonlinux2

2026-05-09 00:17:59 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.3.1-release

2026-05-09 00:17:59 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.3.1-RELEASE

2026-05-09 00:17:59 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2026-05-09 00:17:59 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-6.3.1-release SWIFT_VERSION=swift-6.3.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2026-05-09 00:17:59 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-6.3.1-release SWIFT_VERSION=swift-6.3.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete